Get Currency Templates (GQL)

Note: All the Fx Pay API's have the endpoint: /graphql

Please refer to the link: FX Pay Transfers for details about FX Pay Transfers.

Use this API to retrieve currency templates, which provide information about various currencies and their associated fields required for transactions

Behaviour : A successful response from this API indicates that the requested currency templates were successfully retrieved

Body Params

In the respective currency templates, the following fields are described in detail below. These fields provide necessary information about each currency and its specific attributes.

ParameterDescriptionMandatoryData TypeExample
currencyCodeA code representing the currency being used.YesStringUSD
currencyNameThe name or description of the currency.YesStringUnited States Dollar
fieldsAn array of objects containing details about specific fields related to the currency.YesArray
fieldNameThe name or label of the field within the currency template.YesStringaccountNumber
fieldRegexA regular expression used to validate the input for the field. This regex defines the pattern.YesString^\d{10,12}$
fieldCodeA code or identifier for the field within the currency template.YesStringACC_NUM
validationErrorMessageAn error message to display if the input for the field does not match the defined pattern.YesStringInvalid account number
string
required
Defaults to query { getCurrencyTemplates { currencyCode currencyName fields { fieldName fieldRegex fieldCode validationErrorMessage } } }
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json